#include "debug.h"

#ifdef NO_VARARG_MACRO
#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>
void gpmi_debug(int level, char *fmt, ...)
{
	char gpmi_debug_buff[1024];

	va_list args;
	va_start(args, fmt);
 
	gpmi_vsnprintf(gpmi_debug_buff, 1024, fmt, args);
	if (gpmi_debug_proc != NULL)
		gpmi_debug_proc(level, gpmi_debug_buff);
	else
		printf("gpmi debug: %d %s\n", level, gpmi_debug_buff);

	va_end(args);
}

#endif
