#!/bin/sh
# This script generated from config/data/gpmi_src_wrap.sh by configure.sh
# GPMI fingerprint: gpmi_src_wrap.sh

# This is GPMI source wrapper script which allows GPMI applications to
# be compiled and run without installign GPMI. To achieve this, we
# need to export an environmental variable for the dynamic linker.
# Different shells do it different ways; we hardwired /bin/bash.

# First export paths needed by the linker
export LD_LIBRARY_PATH="###gpmi_src_path###/gpmi:$LD_LIBRARY_PATH"


if test -z "$*"
then
	# If there's no argument, give a shell	
	echo "Exported environment variables so that GPMI applications would"
	echo "link withoit installing GPMI. Now starting a shell (bash)."
	/bin/bash
else
	# We have arguments: just run them
	$@
fi
