function try_dlc {
	q=`echo '
#include <'$1'dl-compat.h>
#include <'$1'dl-flags.h>
int main() {
	dlopen(0, RTLD_NOW);
	puts("OK");
	return 0;
}
	'  | test_compile`

	echo "[core] Trying dl-compat with $1, $LDFLAGS $LDFLAGS_extra ->$q" >> $LOG
	
	if test "$q" = "OK"
	then
		return 0
	fi

	return 1
}

function dlc_find {
	LDFLAGS_extra=-ldl-compat
	try_dlc "" 2>/dev/null && echo "|" $LDFLAGS_extra && return
	LDFLAGS_extra=libdl-compat.dll
	try_dlc "" 2>/dev/null && echo "|" $LDFLAGS_extra && return
	PREFIX=$1
	CFLAGS_extra="-I${PREFIX}/include"
	LDFLAGS_extra="-L${PREFIX}/lib -L${PREFIX}/bin -ldl-compat"
	try_dlc "" 2>/dev/null && echo $CFLAGS_extra "|" $LDFLAGS_extra "|" $PREFIX && return
	CFLAGS_extra="-I${PREFIX}/include"
	LDFLAGS_extra="${PREFIX}/bin/libdl-compat.dll"
	try_dlc "" 2>/dev/null && echo $CFLAGS_extra "|" $LDFLAGS_extra "|" $PREFIX && return
}

. lib/compile.lib
dlc_find $*
