#Please read Readme-config

function try_lua {
	q=`echo '
#include <'$1'lua.h>
#include <'$1'lauxlib.h>
int main() {
	lua_State *state;
	state = lua_open();
	luaL_loadfile(state, "nothing");
	puts("OK");
	return 0;
}
	'  | test_compile`

	echo "[scripts] Trying lua with $1, $LDFLAGS $LDFLAGS_extra -> $q" >> $LOG

	if test "$q" = "OK"
	then
		return 0
	fi

	return 1
}

function lua_find {
	LDFLAGS_extra="-llua -llualib -lm $with_sys_ldl"
	try_lua "" 2>/dev/null  && echo "|" $LDFLAGS_extra && return

	# lualib doesn't exist in lua 5.1.1
	LDFLAGS_extra="-llua -lm $with_sys_ldl"
	try_lua "" 2>/dev/null  && echo "|" $LDFLAGS_extra && return

	# OS specific include dir
	LDFLAGS_extra="-llua -llualib -lm $with_sys_ldl"
	CFLAGS_extra="-I/usr/$with_sys_usrcustom/include"
	try_lua "" 2>/dev/null  && echo $CFLAGS_extra "|" $LDFLAGS_extra && return

	LDFLAGS_extra="-llua -lm $with_sys_ldl"
	CFLAGS_extra="-I/usr/$with_sys_usrcustom/include"
	try_lua "" 2>/dev/null  && echo $CFLAGS_extra "|" $LDFLAGS_extra && return

	#This one is for OSX (by Bjarni)
	LDFLAGS_extra="-L/sw/lib/ -llualib -llua -lm $with_sys_ldl"
	try_lua "/sw/include/" 2>/dev/null  && echo "|" $LDFLAGS_extra && return

	for n in `ls -d  /usr/local/include/lua* /usr/include/lua* 2>/dev/null`
	do
		LDFLAGS_extra=`echo "-l$n -l${n}lib -lm $with_sys_ldl" | sed s@/usr.*include/@@`
		try_lua "$n/" 2>/dev/null  && echo -I$n "|" $LDFLAGS_extra && return
		LDFLAGS_extra=`echo "-l$n -l${n} -lm $with_sys_ldl" | sed s@/usr.*include/@@`
		try_lua "$n/" 2>/dev/null  && echo -I$n "|" $LDFLAGS_extra && return
		LDFLAGS_extra="-llua -llualib -lm $with_sys_ldl"
		try_lua "$n/" 2>/dev/null && echo -I$n "|" $LDFLAGS_extra && return
		LDFLAGS_extra="-llua50 -llualib50 -lm $with_sys_ldl"
		try_lua "$n/" 2>/dev/null && echo -I$n "|" $LDFLAGS_extra && return
	done
}

#remove these before you start using it
. lib/compile.lib
lua_find
