/* A Bison parser, made by GNU Bison 2.3.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C

   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.3"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse yylgparse
#define yylex   yylglex
#define yyerror yylgerror
#define yylval  yylglval
#define yychar  yylgchar
#define yydebug yylgdebug
#define yynerrs yylgnerrs
#define yylloc yylglloc

/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     ID = 258,
     NUMBER = 259,
     ENUM = 260,
     CMT_OPEN = 261,
     CMT_CLOSE = 262,
     UNSIGNED = 263,
     INT = 264,
     DOUBLE = 265,
     CHAR = 266,
     VOID = 267,
     EVENT = 268,
     TYPEDEF = 269,
     GPMI_KEYWORD = 270,
     GPMI_FAKE_KEYWORD = 271,
     GPMI_DEFINE_EVENT = 272,
     OF = 273,
     MULTIPLE = 274,
     DYNAMIC = 275,
     CONST = 276,
     STRUCT = 277,
     FAKETYPE = 278,
     EXTERN = 279,
     UNION = 280,
     DIRECT = 281,
     NOWRAP = 282,
     INLINE = 283
   };
#endif
/* Tokens.  */
#define ID 258
#define NUMBER 259
#define ENUM 260
#define CMT_OPEN 261
#define CMT_CLOSE 262
#define UNSIGNED 263
#define INT 264
#define DOUBLE 265
#define CHAR 266
#define VOID 267
#define EVENT 268
#define TYPEDEF 269
#define GPMI_KEYWORD 270
#define GPMI_FAKE_KEYWORD 271
#define GPMI_DEFINE_EVENT 272
#define OF 273
#define MULTIPLE 274
#define DYNAMIC 275
#define CONST 276
#define STRUCT 277
#define FAKETYPE 278
#define EXTERN 279
#define UNION 280
#define DIRECT 281
#define NOWRAP 282
#define INLINE 283




/* Copy the first part of user declarations.  */
#line 20 "listgen.y"

	#include <stdlib.h>
	#include <stdio.h>
	#include <string.h>
	#include "listgen1.h"


/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif

#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
#line 27 "listgen.y"
{
	int num;
	char *str;
}
/* Line 187 of yacc.c.  */
#line 172 "listgen.tab.c"
	YYSTYPE;
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 216 of yacc.c.  */
#line 197 "listgen.tab.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int i)
#else
static int
YYID (i)
    int i;
#endif
{
  return i;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss;
  YYSTYPE yyvs;
    YYLTYPE yyls;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   532

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  49
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  39
/* YYNRULES -- Number of rules.  */
#define YYNRULES  156
/* YYNRULES -- Number of states.  */
#define YYNSTATES  361

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   283

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    39,     2,     2,     2,     2,    48,     2,
      32,    33,    45,    46,    34,    47,    38,    35,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    37,    31,
      40,    44,    41,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    42,     2,    43,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    29,    36,    30,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     4,     7,     9,    11,    13,    15,    17,
      19,    23,    25,    27,    29,    36,    45,    50,    51,    60,
      61,    73,    74,    85,    86,    96,   104,   105,   108,   110,
     112,   114,   116,   118,   120,   122,   124,   126,   128,   130,
     132,   134,   136,   138,   140,   142,   144,   146,   148,   150,
     152,   154,   156,   158,   160,   162,   164,   166,   168,   170,
     172,   174,   176,   178,   180,   182,   184,   186,   188,   189,
     199,   200,   211,   212,   215,   218,   223,   227,   228,   231,
     234,   237,   240,   243,   246,   250,   254,   257,   260,   263,
     266,   269,   272,   273,   281,   282,   293,   308,   324,   332,
     343,   352,   364,   365,   375,   376,   379,   380,   382,   384,
     387,   392,   396,   405,   416,   419,   422,   424,   426,   431,
     437,   443,   445,   448,   451,   453,   456,   459,   463,   465,
     468,   470,   473,   476,   480,   482,   485,   487,   490,   499,
     509,   516,   520,   523,   524,   536,   538,   542,   544,   548,
     553,   558,   562,   563,   573,   574,   582
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int8 yyrhs[] =
{
      50,     0,    -1,    -1,    50,    51,    -1,    61,    -1,    67,
      -1,    58,    -1,    70,    -1,    80,    -1,    53,    -1,     6,
      59,     7,    -1,    85,    -1,    81,    -1,    52,    -1,    25,
      29,    50,    30,    84,    31,    -1,    14,    25,     3,    29,
      50,    30,    84,    31,    -1,    14,    76,     3,    31,    -1,
      -1,    14,    76,     3,    32,    54,    74,    33,    31,    -1,
      -1,    14,    76,    32,    79,     3,    33,    32,    55,    74,
      33,    31,    -1,    -1,    14,    76,    32,     3,    33,    32,
      56,    74,    33,    31,    -1,    -1,    27,    14,    76,     3,
      32,    57,    74,    33,    31,    -1,    23,    32,    77,    34,
       3,    33,    31,    -1,    -1,    60,    59,    -1,     3,    -1,
       5,    -1,    13,    -1,    14,    -1,    15,    -1,    17,    -1,
      24,    -1,    18,    -1,    35,    -1,    36,    -1,    37,    -1,
      31,    -1,    29,    -1,    30,    -1,    34,    -1,    32,    -1,
      33,    -1,    38,    -1,    39,    -1,    40,    -1,    41,    -1,
      42,    -1,    43,    -1,    44,    -1,    25,    -1,    19,    -1,
       4,    -1,    22,    -1,     9,    -1,     8,    -1,    10,    -1,
      12,    -1,    21,    -1,    11,    -1,    20,    -1,    26,    -1,
      27,    -1,    23,    -1,    28,    -1,    45,    -1,    -1,    14,
       5,     3,    29,    62,    64,    30,     3,    31,    -1,    -1,
      27,    14,     5,     3,    29,    63,    64,    30,     3,    31,
      -1,    -1,    64,    65,    -1,     3,    34,    -1,     3,    44,
      66,    34,    -1,     6,    59,     7,    -1,    -1,    45,    66,
      -1,    35,    66,    -1,    46,    66,    -1,    47,    66,    -1,
      36,    66,    -1,    48,    66,    -1,    44,    44,    66,    -1,
      39,    44,    66,    -1,    40,    66,    -1,    41,    66,    -1,
      32,    66,    -1,    33,    66,    -1,     4,    66,    -1,     3,
      66,    -1,    -1,    76,     3,    32,    68,    74,    33,    31,
      -1,    -1,    76,    32,    79,     3,    33,    32,    69,    74,
      33,    31,    -1,    26,    11,    45,     3,    32,     9,     3,
      34,    11,    45,    45,     3,    33,    31,    -1,    26,    11,
      45,     3,    32,     9,     3,    34,    11,    45,     3,    42,
      43,    33,    31,    -1,    27,    76,     3,    32,    74,    33,
      31,    -1,    27,    76,    32,    79,     3,    33,    32,    74,
      33,    31,    -1,    27,    28,    76,     3,    32,    74,    33,
      31,    -1,    27,    28,    76,    32,    79,     3,    33,    32,
      74,    33,    31,    -1,    -1,    17,    32,     3,    33,    32,
      71,    75,    33,    31,    -1,    -1,    73,    74,    -1,    -1,
      75,    -1,    12,    -1,    76,     3,    -1,    76,     3,    34,
      75,    -1,    38,    38,    38,    -1,    76,    32,    79,     3,
      33,    32,    72,    33,    -1,    76,    32,    79,     3,    33,
      32,    72,    33,    34,    75,    -1,    20,    77,    -1,    21,
      77,    -1,    77,    -1,    78,    -1,     9,     6,     3,     7,
      -1,     8,     9,     6,     3,     7,    -1,     8,    11,     6,
       3,     7,    -1,     3,    -1,     3,    79,    -1,    19,     3,
      -1,     9,    -1,     9,    79,    -1,     8,     9,    -1,     8,
       9,    79,    -1,    10,    -1,    10,    79,    -1,    11,    -1,
      11,    79,    -1,     8,    11,    -1,     8,    11,    79,    -1,
      12,    -1,    12,    79,    -1,    45,    -1,    79,    45,    -1,
      15,    45,     3,    31,     6,    18,     3,     7,    -1,    24,
      15,    45,     3,    31,     6,    18,     3,     7,    -1,    16,
      32,    45,     3,    33,    31,    -1,    76,    83,    31,    -1,
      24,    81,    -1,    -1,    24,    77,    32,    79,    84,    33,
      32,    82,    74,    33,    31,    -1,    84,    -1,    84,    34,
      83,    -1,     3,    -1,     3,    42,    43,    -1,     3,    42,
       3,    43,    -1,     3,    42,     4,    43,    -1,     3,    37,
       4,    -1,    -1,    14,    22,     3,    29,    86,    50,    30,
       3,    31,    -1,    -1,    22,     3,    29,    87,    50,    30,
      31,    -1,    14,    22,     3,     3,    31,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,    71,    71,    73,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    92,    93,    97,    98,    98,    99,
      99,   100,   100,   102,   102,   107,   110,   112,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   159,   159,
     161,   161,   167,   168,   172,   173,   174,   177,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   196,   196,   202,   202,   208,   209,   210,   211,
     212,   213,   218,   218,   223,   223,   226,   228,   229,   233,
     234,   235,   236,   237,   242,   243,   244,   249,   250,   251,
     252,   253,   254,   255,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   274,   275,   280,   281,
     282,   288,   289,   290,   290,   294,   295,   299,   300,   301,
     302,   303,   307,   307,   308,   308,   309
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "ID", "NUMBER", "ENUM", "CMT_OPEN",
  "CMT_CLOSE", "UNSIGNED", "INT", "DOUBLE", "CHAR", "VOID", "EVENT",
  "TYPEDEF", "GPMI_KEYWORD", "GPMI_FAKE_KEYWORD", "GPMI_DEFINE_EVENT",
  "OF", "MULTIPLE", "DYNAMIC", "CONST", "STRUCT", "FAKETYPE", "EXTERN",
  "UNION", "DIRECT", "NOWRAP", "INLINE", "'{'", "'}'", "';'", "'('", "')'",
  "','", "'/'", "'|'", "':'", "'.'", "'!'", "'<'", "'>'", "'['", "']'",
  "'='", "'*'", "'+'", "'-'", "'&'", "$accept", "headers", "header",
  "union", "typedef", "@1", "@2", "@3", "@4", "faketype", "junks", "junk",
  "enum", "@5", "@6", "enum_list", "enum_element", "expr", "function",
  "@7", "@8", "event", "@9", "param_list_or_empty_drop", "@10",
  "param_list_or_empty", "param_list", "type", "type_", "type_standard",
  "ptr", "keyword_def", "vardef", "@11", "id_list", "id_list_member",
  "struct", "@12", "@13", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   123,
     125,    59,    40,    41,    44,    47,   124,    58,    46,    33,
      60,    62,    91,    93,    61,    42,    43,    45,    38
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint8 yyr1[] =
{
       0,    49,    50,    50,    51,    51,    51,    51,    51,    51,
      51,    51,    51,    51,    52,    52,    53,    54,    53,    55,
      53,    56,    53,    57,    53,    58,    59,    59,    60,    60,
      60,    60,    60,    60,    60,    60,    60,    60,    60,    60,
      60,    60,    60,    60,    60,    60,    60,    60,    60,    60,
      60,    60,    60,    60,    60,    60,    60,    60,    60,    60,
      60,    60,    60,    60,    60,    60,    60,    60,    62,    61,
      63,    61,    64,    64,    65,    65,    65,    66,    66,    66,
      66,    66,    66,    66,    66,    66,    66,    66,    66,    66,
      66,    66,    68,    67,    69,    67,    67,    67,    67,    67,
      67,    67,    71,    70,    73,    72,    74,    74,    74,    75,
      75,    75,    75,    75,    76,    76,    76,    77,    77,    77,
      77,    77,    77,    77,    78,    78,    78,    78,    78,    78,
      78,    78,    78,    78,    78,    78,    79,    79,    80,    80,
      80,    81,    81,    82,    81,    83,    83,    84,    84,    84,
      84,    84,    86,    85,    87,    85,    85
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     0,     2,     1,     1,     1,     1,     1,     1,
       3,     1,     1,     1,     6,     8,     4,     0,     8,     0,
      11,     0,    10,     0,     9,     7,     0,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     9,
       0,    10,     0,     2,     2,     4,     3,     0,     2,     2,
       2,     2,     2,     2,     3,     3,     2,     2,     2,     2,
       2,     2,     0,     7,     0,    10,    14,    15,     7,    10,
       8,    11,     0,     9,     0,     2,     0,     1,     1,     2,
       4,     3,     8,    10,     2,     2,     1,     1,     4,     5,
       5,     1,     2,     2,     1,     2,     2,     3,     1,     2,
       1,     2,     2,     3,     1,     2,     1,     2,     8,     9,
       6,     3,     2,     0,    11,     1,     3,     1,     3,     4,
       4,     3,     0,     9,     0,     7,     5
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
       2,     0,     1,   121,    26,     0,   124,   128,   130,   134,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     3,    13,     9,     6,     4,     5,     7,
       0,   116,   117,     8,    12,    11,   136,   122,    28,    54,
      29,    57,    56,    58,    61,    59,    30,    31,    32,    33,
      35,    53,    62,    60,    55,    65,    34,    52,    63,    64,
      66,    40,    41,    39,    43,    44,    42,    36,    37,    38,
      45,    46,    47,    48,    49,    50,    51,    67,     0,    26,
     126,   132,     0,   125,   129,   131,   135,     0,     0,     0,
       0,     0,     0,     0,   123,   114,   115,     0,     0,     0,
       0,     0,   116,   142,     2,     0,     0,     0,     0,   147,
       0,     0,   145,   137,    10,    27,     0,   127,     0,   133,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
       0,     0,   147,     0,     0,     0,     0,     0,     0,     0,
       0,    92,     0,     0,     0,   141,     0,     0,     0,   118,
      68,     0,   152,     2,    16,    17,     0,     0,     0,     0,
       0,     2,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   106,     0,   106,   151,     0,     0,   148,     0,   146,
     119,   120,    72,   156,     2,     0,   106,     0,     0,     0,
       0,   102,     0,     0,     0,     0,     0,     0,    70,    23,
     106,     0,   134,     0,     0,   107,     0,     0,     0,   149,
     150,     0,     0,     0,     0,     0,    21,     0,     0,   140,
       0,     0,     0,     0,     0,    14,     0,    72,   106,     0,
       0,     0,     0,   109,     0,     0,     0,    94,     0,    26,
       0,    73,     0,     0,     0,   106,    19,     0,     0,   155,
      25,     0,   143,     0,     0,     0,     0,     0,   111,    98,
       0,     0,   106,    93,   106,    74,    77,     0,     0,     0,
      15,    18,     0,   106,   138,     0,     0,   106,     0,     0,
       0,   100,   106,   110,     0,     0,     0,    77,    77,    77,
      77,    77,    77,     0,    77,    77,     0,    77,    77,    77,
      77,     0,    76,    69,   153,     0,     0,   103,   139,     0,
       0,     0,    24,     0,     0,     0,     0,    91,    90,    88,
      89,    79,    82,    77,    86,    87,    77,    78,    80,    81,
      83,    75,    22,     0,     0,     0,    71,     0,   104,    99,
      95,    85,    84,    20,   144,     0,     0,   101,     0,   106,
       0,     0,   112,   105,     0,     0,     0,     0,    96,   113,
      97
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,    23,    24,    25,   186,   273,   245,   228,    26,
      78,    79,    27,   182,   227,   212,   241,   301,    28,   173,
     264,    29,   220,   348,   349,   204,   205,   206,    31,    32,
      86,    33,    34,   277,   111,   112,    35,   184,   161
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -219
static const yytype_int16 yypact[] =
{
    -219,   292,  -219,   -10,   224,    92,    14,   -10,   -10,   -10,
     438,     6,    48,    55,    81,    29,    29,    85,    64,   458,
      73,    93,   417,  -219,  -219,  -219,  -219,  -219,  -219,  -219,
      25,  -219,  -219,  -219,  -219,  -219,  -219,    61,  -219,  -219,
    -219,  -219,  -219,  -219,  -219,  -219,  -219,  -219,  -219,  -219,
    -219,  -219,  -219,  -219,  -219,  -219,  -219,  -219,  -219,  -219,
    -219,  -219,  -219,  -219,  -219,  -219,  -219,  -219,  -219,  -219,
    -219,  -219,  -219,  -219,  -219,  -219,  -219,  -219,   101,   224,
      27,    28,   113,    61,    61,    61,    61,   114,   116,   117,
      42,   118,    78,   121,  -219,  -219,  -219,    96,    29,    82,
     477,   123,    97,  -219,  -219,    83,   497,   511,    43,    57,
     -10,   100,    98,  -219,  -219,  -219,   130,    61,   131,    61,
     128,   107,    68,   112,    21,     9,   109,   139,   115,  -219,
     119,   142,     7,   -10,   317,   146,   151,   157,    44,   132,
     -10,  -219,   158,    26,    11,  -219,   123,   156,   159,  -219,
    -219,   134,  -219,  -219,  -219,  -219,   141,    15,   171,   149,
     152,  -219,   180,   155,    16,   123,   160,   162,   161,   163,
     -10,   202,    18,   202,  -219,   144,   145,  -219,   165,  -219,
    -219,  -219,  -219,  -219,  -219,   342,   202,   164,   166,   176,
     169,  -219,   367,   168,   183,   170,   175,   193,  -219,  -219,
     202,    20,    -2,   177,   184,  -219,    47,   186,   187,  -219,
    -219,   192,    52,   392,   123,   197,  -219,   194,   205,  -219,
     267,   178,   185,   207,   239,  -219,   269,  -219,   202,   240,
     241,   242,   250,   248,   -10,   251,   253,  -219,    51,   224,
     282,  -219,   286,   259,   260,   202,  -219,   287,   263,  -219,
    -219,   290,  -219,   265,    80,   264,   279,   289,  -219,  -219,
     267,    22,   202,  -219,   202,  -219,   111,   315,   293,   299,
    -219,  -219,   302,   202,  -219,   318,   339,   202,   344,   357,
     340,  -219,   202,  -219,   341,   347,   352,   111,   111,   111,
     111,   111,   111,   355,   111,   111,   361,   111,   111,   111,
     111,   362,  -219,  -219,  -219,   379,   388,  -219,  -219,   390,
     385,   393,  -219,   399,   401,   403,   404,  -219,  -219,  -219,
    -219,  -219,  -219,   111,  -219,  -219,   111,  -219,  -219,  -219,
    -219,  -219,  -219,   408,   409,    23,  -219,   411,  -219,  -219,
    -219,  -219,  -219,  -219,  -219,   402,   448,  -219,   419,   202,
     410,   421,   422,  -219,   429,   424,   267,   433,  -219,  -219,
    -219
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -219,   -91,  -219,  -219,  -219,  -219,  -219,  -219,  -219,  -219,
     -78,  -219,  -219,  -219,  -219,   238,  -219,  -119,  -219,  -219,
    -219,  -219,  -219,  -219,  -219,  -164,  -218,     5,    -8,  -219,
      -3,  -219,    -9,  -219,   325,  -148,  -219,  -219,  -219
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -109
static const yytype_int16 yytable[] =
{
      37,   115,   248,    83,    84,    85,    30,    95,    96,   208,
     103,   102,   156,   134,   178,    90,   195,   196,   188,   132,
      82,   207,   215,   230,   101,   284,   345,   108,   109,   175,
     176,  -108,     3,   116,   118,    36,   229,     5,     6,     7,
       8,     9,   283,    36,   142,   124,   139,   169,    14,   143,
     233,    91,   154,   155,    36,   238,   113,   110,   239,    36,
     113,   113,   185,   113,   255,   113,   243,   113,   346,   177,
     192,   151,    36,    36,   125,   140,   170,   117,   119,   234,
      92,   272,   240,   238,    94,   265,   239,    93,    97,   141,
     130,   103,   102,   213,   142,   266,    98,   152,   285,   143,
     286,    80,   104,    81,   105,   101,   113,   144,   114,   306,
     279,   137,   138,   309,   287,   288,   120,   121,   313,   122,
     123,   126,   157,   127,   128,   129,   132,   131,   135,   133,
     164,   145,   146,   147,   148,   149,   150,   172,   359,    30,
     158,   153,   159,   289,   290,   163,   291,   292,   160,   166,
     293,   294,   295,   162,   167,   296,   297,   298,   299,   300,
     168,   267,   174,   180,   171,   183,   181,   201,   317,   318,
     319,   320,   321,   322,   187,   324,   325,   189,   327,   328,
     329,   330,   190,   193,   191,   353,   194,   209,   210,   223,
      30,   198,   197,   199,   218,   200,   216,    30,   211,   217,
     219,   222,   226,   224,   341,     3,   225,   342,   247,   249,
       5,     6,     7,     8,   202,   231,   250,   232,    30,   235,
     236,    14,    15,    16,   237,   251,   246,    38,    39,    40,
     244,   261,    41,    42,    43,    44,    45,    46,    47,    48,
     203,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
       3,   252,   253,   256,   257,     5,     6,     7,     8,     9,
     258,   259,   260,   262,   263,   268,    14,    15,    16,   269,
     270,   271,     2,   276,   274,     3,   275,   280,     4,   278,
       5,     6,     7,     8,     9,   203,    10,    11,    12,    13,
     281,    14,    15,    16,    17,    18,    19,    20,    21,    22,
       3,   282,   302,     4,   303,     5,     6,     7,     8,     9,
     304,    10,    11,    12,    13,   305,    14,    15,    16,    17,
      18,    19,    20,    21,    22,     3,   308,   165,     4,   307,
       5,     6,     7,     8,     9,   310,    10,    11,    12,    13,
     311,    14,    15,    16,    17,    18,    19,    20,    21,    22,
       3,   312,   214,     4,   314,     5,     6,     7,     8,     9,
     315,    10,    11,    12,    13,   316,    14,    15,    16,    17,
      18,    19,    20,    21,    22,     3,   331,   221,     4,   323,
       5,     6,     7,     8,     9,   326,    10,    11,    12,    13,
     332,    14,    15,    16,    17,    18,    19,    20,    21,    22,
       3,   333,   242,   334,   336,     5,     6,     7,     8,     9,
     335,   106,   337,   338,   339,   340,    14,    15,    16,   343,
     344,     3,   347,    87,   350,   107,     5,     6,     7,     8,
       9,   351,   352,   354,   355,   358,   356,    14,    15,    16,
      88,     3,   357,    89,   360,   254,     5,     6,     7,     8,
       9,   179,     0,    99,     0,     0,     0,    14,    15,    16,
       3,     0,   100,     0,     0,     5,     6,     7,     8,     9,
       0,     0,     0,     0,     0,     0,    14,    15,    16,     0,
       3,   100,   136,     0,     0,     5,     6,     7,     8,     9,
       0,     0,     0,     0,     3,     0,    14,    15,    16,     5,
       6,     7,     8,     9,     0,     0,     0,     0,     0,     0,
      14,    15,    16
};

static const yytype_int16 yycheck[] =
{
       3,    79,   220,     6,     7,     8,     1,    15,    16,   173,
      19,    19,     3,   104,     3,    10,   164,   165,     3,     3,
       6,     3,   186,     3,    19,     3,     3,    22,     3,     3,
       4,    33,     3,     6,     6,    45,   200,     8,     9,    10,
      11,    12,   260,    45,    37,     3,     3,     3,    19,    42,
       3,    45,    31,    32,    45,     3,    45,    32,     6,    45,
      45,    45,   153,    45,   228,    45,   214,    45,    45,    43,
     161,     3,    45,    45,    32,    32,    32,    80,    81,    32,
      32,   245,    30,     3,     3,    34,     6,    32,     3,    32,
      98,   100,   100,   184,    37,    44,    32,    29,   262,    42,
     264,     9,    29,    11,    11,   100,    45,   110,     7,   273,
      30,   106,   107,   277,     3,     4,     3,     3,   282,     3,
       3,     3,   125,    45,     3,    29,     3,    45,    45,    32,
     133,    31,    34,     3,     3,     7,    29,   140,   356,   134,
      31,    29,     3,    32,    33,     3,    35,    36,    33,     3,
      39,    40,    41,    34,     3,    44,    45,    46,    47,    48,
       3,   239,     4,     7,    32,    31,     7,   170,   287,   288,
     289,   290,   291,   292,    33,   294,   295,     6,   297,   298,
     299,   300,    33,     3,    32,   349,    31,    43,    43,     6,
     185,    29,    32,    32,    18,    32,    32,   192,    33,    33,
      31,    33,     9,    33,   323,     3,    31,   326,     3,    31,
       8,     9,    10,    11,    12,    38,    31,    33,   213,    33,
      33,    19,    20,    21,    32,    18,    32,     3,     4,     5,
      33,   234,     8,     9,    10,    11,    12,    13,    14,    15,
      38,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
       3,    32,     3,    33,    33,     8,     9,    10,    11,    12,
      38,    31,    34,    32,    31,     3,    19,    20,    21,     3,
      31,    31,     0,     3,     7,     3,    33,    33,     6,    34,
       8,     9,    10,    11,    12,    38,    14,    15,    16,    17,
      31,    19,    20,    21,    22,    23,    24,    25,    26,    27,
       3,    32,     7,     6,    31,     8,     9,    10,    11,    12,
      31,    14,    15,    16,    17,    33,    19,    20,    21,    22,
      23,    24,    25,    26,    27,     3,     7,    30,     6,    31,
       8,     9,    10,    11,    12,    11,    14,    15,    16,    17,
       3,    19,    20,    21,    22,    23,    24,    25,    26,    27,
       3,    31,    30,     6,    33,     8,     9,    10,    11,    12,
      33,    14,    15,    16,    17,    33,    19,    20,    21,    22,
      23,    24,    25,    26,    27,     3,    34,    30,     6,    44,
       8,     9,    10,    11,    12,    44,    14,    15,    16,    17,
      31,    19,    20,    21,    22,    23,    24,    25,    26,    27,
       3,    33,    30,    33,    31,     8,     9,    10,    11,    12,
      45,    14,    33,    32,    31,    31,    19,    20,    21,    31,
      31,     3,    31,     5,    42,    28,     8,     9,    10,    11,
      12,     3,    33,    43,    33,    31,    34,    19,    20,    21,
      22,     3,    33,    25,    31,   227,     8,     9,    10,    11,
      12,   146,    -1,    15,    -1,    -1,    -1,    19,    20,    21,
       3,    -1,    24,    -1,    -1,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,    -1,
       3,    24,     5,    -1,    -1,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,     3,    -1,    19,    20,    21,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      19,    20,    21
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,    50,     0,     3,     6,     8,     9,    10,    11,    12,
      14,    15,    16,    17,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    51,    52,    53,    58,    61,    67,    70,
      76,    77,    78,    80,    81,    85,    45,    79,     3,     4,
       5,     8,     9,    10,    11,    12,    13,    14,    15,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    59,    60,
       9,    11,     6,    79,    79,    79,    79,     5,    22,    25,
      76,    45,    32,    32,     3,    77,    77,     3,    32,    15,
      24,    76,    77,    81,    29,    11,    14,    28,    76,     3,
      32,    83,    84,    45,     7,    59,     6,    79,     6,    79,
       3,     3,     3,     3,     3,    32,     3,    45,     3,    29,
      77,    45,     3,    32,    50,    45,     5,    76,    76,     3,
      32,    32,    37,    42,    79,    31,    34,     3,     3,     7,
      29,     3,    29,    29,    31,    32,     3,    79,    31,     3,
      33,    87,    34,     3,    79,    30,     3,     3,     3,     3,
      32,    32,    79,    68,     4,     3,     4,    43,     3,    83,
       7,     7,    62,    31,    86,    50,    54,    33,     3,     6,
      33,    32,    50,     3,    31,    84,    84,    32,    29,    32,
      32,    79,    12,    38,    74,    75,    76,     3,    74,    43,
      43,    33,    64,    50,    30,    74,    32,    33,    18,    31,
      71,    30,    33,     6,    33,    31,     9,    63,    57,    74,
       3,    38,    33,     3,    32,    33,    33,    32,     3,     6,
      30,    65,    30,    84,    33,    56,    32,     3,    75,    31,
      31,    18,    32,     3,    64,    74,    33,    33,    38,    31,
      34,    79,    32,    31,    69,    34,    44,    59,     3,     3,
      31,    31,    74,    55,     7,    33,     3,    82,    34,    30,
      33,    31,    32,    75,     3,    74,    74,     3,     4,    32,
      33,    35,    36,    39,    40,    41,    44,    45,    46,    47,
      48,    66,     7,    31,    31,    33,    74,    31,     7,    74,
      11,     3,    31,    74,    33,    33,    33,    66,    66,    66,
      66,    66,    66,    44,    66,    66,    44,    66,    66,    66,
      66,    34,    31,    33,    33,    45,    31,    33,    32,    31,
      31,    66,    66,    31,    31,     3,    45,    31,    72,    73,
      42,     3,    33,    74,    43,    33,    34,    33,    31,    75,
      31
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *bottom, yytype_int16 *top)
#else
static void
yy_stack_print (bottom, top)
    yytype_int16 *bottom;
    yytype_int16 *top;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; bottom <= top; ++bottom)
    YYFPRINTF (stderr, " %d", *bottom);
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      fprintf (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      fprintf (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */

#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */



/* The look-ahead symbol.  */
int yychar;

/* The semantic value of the look-ahead symbol.  */
YYSTYPE yylval;

/* Number of syntax errors so far.  */
int yynerrs;
/* Location data for the look-ahead symbol.  */
YYLTYPE yylloc;



/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
  
  int yystate;
  int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Look-ahead token as an internal (translated) token number.  */
  int yytoken = 0;
#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack.  */
  yytype_int16 yyssa[YYINITDEPTH];
  yytype_int16 *yyss = yyssa;
  yytype_int16 *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  YYSTYPE *yyvsp;

  /* The location stack.  */
  YYLTYPE yylsa[YYINITDEPTH];
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;
  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[2];

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  YYSIZE_T yystacksize = YYINITDEPTH;

  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;
#if YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 0;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);
	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);
	YYSTACK_RELOCATE (yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     look-ahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to look-ahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a look-ahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid look-ahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the look-ahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 16:
#line 97 "listgen.y"
    {faketype_add((yyvsp[(3) - (4)].str), (yyvsp[(2) - (4)].str));;}
    break;

  case 17:
#line 98 "listgen.y"
    { curr_params = NULL; ;}
    break;

  case 19:
#line 99 "listgen.y"
    { curr_params = NULL; ;}
    break;

  case 21:
#line 100 "listgen.y"
    { curr_params = NULL; ;}
    break;

  case 23:
#line 102 "listgen.y"
    { curr_params = NULL; ;}
    break;

  case 24:
#line 102 "listgen.y"
    { fprintf(stderr, "Warning: you shouldn't use nowrap before a function typedef as a function typedef won't have a wrapper anyway (function '%s').\n", (yyvsp[(4) - (9)].str)); ;}
    break;

  case 25:
#line 107 "listgen.y"
    { faketype_add((yyvsp[(5) - (7)].str), (yyvsp[(3) - (7)].str)); ;}
    break;

  case 68:
#line 159 "listgen.y"
    { verbprintf(1, "FOUND: enum %s {\n", (yyvsp[(3) - (4)].str)); enum_create((yyvsp[(3) - (4)].str)); ;}
    break;

  case 69:
#line 160 "listgen.y"
    { verbprintf(1, " } -> %s\n", (yyvsp[(8) - (9)].str)); faketype_add((yyvsp[(8) - (9)].str), "int"); enum_close(); ;}
    break;

  case 70:
#line 161 "listgen.y"
    { verbprintf(1, "FOUND: enum %s {\n", (yyvsp[(3) - (5)].str)); enum_nowrap = 1;;}
    break;

  case 71:
#line 162 "listgen.y"
    { verbprintf(1, " } -> %s\n", (yyvsp[(9) - (10)].str)); enum_nowrap = 0;;}
    break;

  case 72:
#line 167 "listgen.y"
    {;}
    break;

  case 73:
#line 168 "listgen.y"
    { enum_add_element((yyvsp[(2) - (2)].str)); ;}
    break;

  case 74:
#line 172 "listgen.y"
    { verbprintf(2, "    %s, \n", (yyvsp[(1) - (2)].str)); (yyval.str) = (yyvsp[(1) - (2)].str);;}
    break;

  case 75:
#line 173 "listgen.y"
    { verbprintf(2, "    %s = expr, \n", (yyvsp[(1) - (4)].str)); (yyval.str) = (yyvsp[(1) - (4)].str); ;}
    break;

  case 76:
#line 174 "listgen.y"
    { (yyval.str) = NULL; ;}
    break;

  case 92:
#line 196 "listgen.y"
    { 
																															verbprintf(1, "FOUND: function %s:%s; params: ", (yyvsp[(2) - (3)].str), (yyvsp[(1) - (3)].str));
																															func_add((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str));
																														;}
    break;

  case 93:
#line 200 "listgen.y"
    { verbprintf(1, "\n"); curr_params = NULL; ;}
    break;

  case 94:
#line 202 "listgen.y"
    { 
																															verbprintf(1, "FOUND: function (* %s):%s; params: ", (yyvsp[(4) - (6)].str), (yyvsp[(1) - (6)].str));
																															func_add((yyvsp[(1) - (6)].str), (yyvsp[(4) - (6)].str));
																														;}
    break;

  case 95:
#line 206 "listgen.y"
    { verbprintf(1, "\n"); curr_params = NULL; ;}
    break;

  case 96:
#line 208 "listgen.y"
    { func_add_direct((yyvsp[(4) - (14)].str)); ;}
    break;

  case 97:
#line 209 "listgen.y"
    { func_add_direct((yyvsp[(4) - (15)].str)); ;}
    break;

  case 98:
#line 210 "listgen.y"
    { /* Don't generate wrapper for this */ curr_params = NULL;;}
    break;

  case 99:
#line 211 "listgen.y"
    { /* Don't generate wrapper for this */ curr_params = NULL;;}
    break;

  case 100:
#line 212 "listgen.y"
    { /* Don't generate wrapper for this */ curr_params = NULL;;}
    break;

  case 101:
#line 213 "listgen.y"
    { /* Don't generate wrapper for this */ curr_params = NULL;;}
    break;

  case 102:
#line 218 "listgen.y"
    { verbprintf(1, "FOUND: event %s; params: ", (yyvsp[(3) - (5)].str)); event_add((yyvsp[(3) - (5)].str)); ;}
    break;

  case 103:
#line 219 "listgen.y"
    { verbprintf(1, "\n"); ;}
    break;

  case 104:
#line 223 "listgen.y"
    {curr_params_push(); curr_params = NULL; ;}
    break;

  case 105:
#line 223 "listgen.y"
    {curr_params_pop();;}
    break;

  case 109:
#line 233 "listgen.y"
    { verbprintf(2, "%s:%s ", (yyvsp[(2) - (2)].str), (yyvsp[(1) - (2)].str)); param_add((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 110:
#line 234 "listgen.y"
    { verbprintf(2, "%s:%s ", (yyvsp[(2) - (4)].str), (yyvsp[(1) - (4)].str)); param_add((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)); ;}
    break;

  case 111:
#line 235 "listgen.y"
    { verbprintf(2, "... "); ;}
    break;

  case 112:
#line 236 "listgen.y"
    { verbprintf(2, "%s:void* ", (yyvsp[(4) - (8)].str)); param_add(strdup("void*"), (yyvsp[(4) - (8)].str)); ;}
    break;

  case 113:
#line 237 "listgen.y"
    { verbprintf(2, "%s:void* ", (yyvsp[(4) - (10)].str)); param_add(strdup("void*"), (yyvsp[(4) - (10)].str)); ;}
    break;

  case 114:
#line 242 "listgen.y"
    { (yyval.str) = chr_insert((yyvsp[(2) - (2)].str), '!'); ;}
    break;

  case 115:
#line 243 "listgen.y"
    { (yyval.str) = chr_insert((yyvsp[(2) - (2)].str), '^'); ;}
    break;

  case 116:
#line 244 "listgen.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 117:
#line 249 "listgen.y"
    { (yyval.str) = malloc(128); strcpy((yyval.str), (yyvsp[(1) - (1)].str)); ;}
    break;

  case 118:
#line 250 "listgen.y"
    { (yyval.str) = malloc(128); sprintf((yyval.str), "int/%s", (yyvsp[(3) - (4)].str)); ;}
    break;

  case 119:
#line 251 "listgen.y"
    { (yyval.str) = malloc(128); sprintf((yyval.str), "uint/%s", (yyvsp[(4) - (5)].str)); ;}
    break;

  case 120:
#line 252 "listgen.y"
    { (yyval.str) = malloc(128); sprintf((yyval.str), "uchar/%s", (yyvsp[(4) - (5)].str)); ;}
    break;

  case 121:
#line 253 "listgen.y"
    { check_kw((yyvsp[(1) - (1)].str)); (yyval.str) = malloc(128); sprintf((yyval.str), "%s", (yyvsp[(1) - (1)].str)); ;}
    break;

  case 122:
#line 254 "listgen.y"
    { check_kw((yyvsp[(1) - (2)].str)); (yyval.str) = malloc(128); sprintf((yyval.str), "ptr"); ;}
    break;

  case 123:
#line 255 "listgen.y"
    { check_kw((yyvsp[(2) - (2)].str)); (yyval.str) = malloc(128); sprintf((yyval.str), "@%s", (yyvsp[(2) - (2)].str)); ;}
    break;

  case 124:
#line 259 "listgen.y"
    { (yyval.str) = "int"; ;}
    break;

  case 125:
#line 260 "listgen.y"
    { (yyval.str) = "int*"; ;}
    break;

  case 126:
#line 261 "listgen.y"
    { (yyval.str) = "uint"; ;}
    break;

  case 127:
#line 262 "listgen.y"
    { (yyval.str) = "uint*"; ;}
    break;

  case 128:
#line 263 "listgen.y"
    { (yyval.str) = "double"; ;}
    break;

  case 129:
#line 264 "listgen.y"
    { (yyval.str) = "double*"; ;}
    break;

  case 130:
#line 265 "listgen.y"
    { (yyval.str) = "char"; ;}
    break;

  case 131:
#line 266 "listgen.y"
    { (yyval.str) = "char*"; ;}
    break;

  case 132:
#line 267 "listgen.y"
    { (yyval.str) = "uchar"; ;}
    break;

  case 133:
#line 268 "listgen.y"
    { (yyval.str) = "uchar*"; ;}
    break;

  case 134:
#line 269 "listgen.y"
    { (yyval.str) = "void"; ;}
    break;

  case 135:
#line 270 "listgen.y"
    { (yyval.str) = "void*"; ;}
    break;

  case 138:
#line 280 "listgen.y"
    { verbprintf(1, "FOUND: keyword definition %s of %s\n", (yyvsp[(3) - (8)].str), (yyvsp[(7) - (8)].str)); keyword_add((yyvsp[(3) - (8)].str), kw_type_export, (yyvsp[(7) - (8)].str)); ;}
    break;

  case 139:
#line 281 "listgen.y"
    { verbprintf(1, "FOUND: keyword definition %s of %s\n", (yyvsp[(4) - (9)].str), (yyvsp[(8) - (9)].str)); keyword_add((yyvsp[(4) - (9)].str), kw_type_export, (yyvsp[(8) - (9)].str)); ;}
    break;

  case 140:
#line 282 "listgen.y"
    { verbprintf(1, "FOUND: keyword definition (local) %s\n", (yyvsp[(4) - (6)].str)); keyword_add((yyvsp[(4) - (6)].str), kw_type_export, NULL);;}
    break;

  case 143:
#line 290 "listgen.y"
    {curr_params = NULL;;}
    break;

  case 152:
#line 307 "listgen.y"
    {in_struct = 1;;}
    break;

  case 153:
#line 307 "listgen.y"
    {in_struct = 0;;}
    break;

  case 154:
#line 308 "listgen.y"
    {in_struct = 1;;}
    break;

  case 155:
#line 308 "listgen.y"
    {in_struct = 0;;}
    break;


/* Line 1267 of yacc.c.  */
#line 2087 "listgen.tab.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (yymsg);
	  }
	else
	  {
	    yyerror (YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[0] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse look-ahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse look-ahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[0] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[0] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  *++yyvsp = yylval;

  yyerror_range[1] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the look-ahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, (yyerror_range - 1), 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#ifndef yyoverflow
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEOF && yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



